# $Revision: 1.90.4.25.4.3 $, $Date: 2008/09/18 14:10:56 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_without	userspace	# don't build userspace module
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel		5
%define		pname	drbd
Summary:	drbd is a block device designed to build high availibility clusters
Summary(pl.UTF-8):	drbd jest urządzeniem blokowym dla klastrów o wysokiej niezawodności
Name:		%{pname}%{_alt_kernel}
Version:	0.7.25
Release:	%{rel}
License:	GPL
Group:		Base/Kernel
Source0:	http://oss.linbit.com/drbd/0.7/%{pname}-%{version}.tar.gz
# Source0-md5:	9db298c97306d7d0fe6d0cdbdf695cf6
Patch0:		%{pname}-Makefile.patch
URL:		http://www.drbd.org/
%if %{with userspace}
BuildRequires:	bison
BuildRequires:	flex
%endif
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build}
BuildRequires:	rpmbuild(macros) >= 1.452
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
drbd is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network RAID1.

%description -l pl.UTF-8
drbd jest urządzeniem blokowym zaprojektowanym dla klastrów o wysokiej
niezawodności. drbd działa jako mirroring całego urządzenia blokowego
przez (dedykowaną) sieć. Może być widoczny jako sieciowy RAID1.

%description -l pt_BR.UTF-8
O DRBD é um dispositivo de bloco que é projetado para construir
clusters de Alta Disponibilidade. Isto é feito espelhando um
dispositivo de bloco inteiro via rede (dedicada ou não). Pode ser
visto como um RAID 1 via rede. Este pacote contém utilitários para
gerenciar dispositivos DRBD.

%package -n drbdsetup
Summary:	Setup tool and scripts for DRBD
Summary(pl.UTF-8):	Narzędzie konfiguracyjne i skrypty dla DRBD
Summary(pt_BR.UTF-8):	Utilitários para gerenciar dispositivos DRBD
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(postun):	/usr/sbin/groupdel
Requires:	rc-scripts
Provides:	group(haclient)
Conflicts:	drbdsetup24

%description -n drbdsetup
Setup tool and init scripts for DRBD.

%description -n drbdsetup -l pl.UTF-8
Narzędzie konfiguracyjne i skrypty startowe dla DRBD.

%package -n kernel%{_alt_kernel}-block-drbd
Summary:	Kernel module with drbd - a block device designed to build high availibility clusters
Summary(pl.UTF-8):	Moduł jądra do drbd - urządzenia blokowego dla klastrów o wysokiej niezawodności
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod
Requires:	drbdsetup

%description -n kernel%{_alt_kernel}-block-drbd
drbd is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network RAID1.

%description -n kernel%{_alt_kernel}-block-drbd -l pl.UTF-8
drbd jest urządzeniem blokowym zaprojektowanym dla klastrów o wysokiej
niezawodności. drbd działa jako mirroring całego urządzenia blokowego
przez (dedykowaną) sieć. Może być widoczny jako sieciowy RAID1.

%package -n kernel%{_alt_kernel}-smp-block-drbd
Summary:	SMP kernel module with drbd - a block device designed to build high availibility clusters
Summary(pl.UTF-8):	Wersja SMP Modułu jądra do drbd - urządzenia blokowego dla klastrów o wysokiej niezawodności
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod
Requires:	drbdsetup

%description -n kernel%{_alt_kernel}-smp-block-drbd
drbd is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network RAID1.

%description -n kernel%{_alt_kernel}-smp-block-drbd -l pl.UTF-8
drbd jest urządzeniem blokowym zaprojektowanym dla klastrów o wysokiej
niezawodności. drbd działa jako mirroring całego urządzenia blokowego
przez (dedykowaną) sieć. Może być widoczny jako sieciowy RAID1.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%if %{with userspace}
%{__make} tools \
	KVER=dummy \
	KDIR=/usr/include \
	CC="%{__cc}" \
	OPTCFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"
%endif

%if %{with kernel}
cd drbd
sed -i -e 's#$(CONFIG_BLK_DEV_DRBD)#m#g' Makefile-2.6
ln -sf Makefile-2.6 Makefile
# kernel module(s)
%build_kernel_modules -m drbd
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man{5,8},%{_sysconfdir}} \
	$RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/ha.d/resource.d}

%if %{with kernel}
%install_kernel_modules -m drbd/drbd -d block
%endif

%if %{with userspace}
install user/{drbdadm,drbdsetup} $RPM_BUILD_ROOT/sbin
install scripts/drbd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install scripts/drbd $RPM_BUILD_ROOT/etc/rc.d/init.d

install scripts/drbddisk $RPM_BUILD_ROOT%{_sysconfdir}/ha.d/resource.d

install documentation/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install documentation/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-block-drbd
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-block-drbd
%depmod %{_kernel_ver}

%post -n kernel%{_alt_kernel}-smp-block-drbd
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-block-drbd
%depmod %{_kernel_ver}smp

%pre -n drbdsetup
%groupadd -g 60 haclient

%post -n drbdsetup
/sbin/chkconfig --add drbd
%service drbd restart

%preun -n drbdsetup
if [ "$1" = "0" ]; then
	%service drbd stop
	/sbin/chkconfig --del drbd
fi

%postun -n drbdsetup
if [ "$1" = "0" ]; then
	%groupremove haclient
fi

%if %{with userspace}
%files -n drbdsetup
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/drbdadm
%attr(2754,root,haclient) /sbin/drbdsetup
%attr(754,root,root) /etc/rc.d/init.d/drbd
%attr(755,root,root) %{_sysconfdir}/ha.d/resource.d/drbddisk
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/drbd.conf
%{_mandir}/man[58]/*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-block-drbd
%defattr(644,root,root,755)
%doc ChangeLog README
/lib/modules/%{_kernel_ver}/block/drbd.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-block-drbd
%defattr(644,root,root,755)
%doc ChangeLog README
/lib/modules/%{_kernel_ver}smp/block/drbd.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drbd.spec,v $
Revision 1.90.4.25.4.3  2008/09/18 14:10:56  glen
- fix smp package deps; rel 5

Revision 1.90.4.25.4.2  2008/09/17 07:12:08  glen
- unify release; rel 4

Revision 1.90.4.25.4.1  2008/09/16 21:41:06  glen
- merge changes from LINUX_2_6_22 branch; rel 3 to rebuild with 2.6.16.62 kernel

Revision 1.90.4.25  2008/05/11 10:16:14  adamg
- restored 0.7.x on AC-branch
- drbd-8.x moved to drbd8.spec:AC-branch

Revision 1.90.4.24  2008-04-29 14:56:49  glen
- update 8.2.5 from HEAD

Revision 1.90.4.23  2008-04-29 12:28:38  marcus
- userland will be build with llh, not kernel headers

Revision 1.90.4.22  2008-01-28 09:33:07  glen
- rel 2 (kernel-2.6.16.60-1)

Revision 1.90.4.21  2007-12-26 12:37:55  glen
- updated to 8.2.1 from HEAD

Revision 1.90.4.20  2007-12-26 11:52:08  glen
- convert to utf8

Revision 1.90.4.19  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.90.4.18  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.90.4.17  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.90.4.16  2007/10/22 21:36:28  glen
- include alt_kernel in src.rpm (for .info files)

Revision 1.90.4.15  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.90.4.14  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.90.4.13  2007/10/22 19:48:29  glen
- allow build without up kernel

Revision 1.90.4.12  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.90.4.11  2007/10/02 05:38:00  ankry
- zonk

Revision 1.90.4.10  2007/10/01 21:25:45  glen
- rel 54

Revision 1.90.4.9  2007/10/01 18:42:09  adamg
- updated to 0.7.24, patch1 seems obsolete

Revision 1.90.4.8  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.90.4.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.90.4.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.90.4.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.90.4.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.90.4.3  2007/04/25 22:11:50  glen
- rel 8 (kernel 2.6.16.49)

Revision 1.90.4.2  2007/03/27 22:18:10  glen
- rel 7 (kernel 2.6.16.45)

Revision 1.90.4.1  2007/03/14 00:05:13  glen
- rel 6

Revision 1.90  2007/01/23 09:41:03  hawk
- release 5

Revision 1.89  2006/12/21 00:35:03  mguevara
- added patch1 drbd-0.7.22-2.6.19-friendly.patch - for building with 2.6.19
  (and previous versions of the kernel)

Revision 1.88  2006/12/08 12:40:38  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 4

Revision 1.87  2006/11/23 23:29:57  sparky
- flax and bison used only in userspace

Revision 1.86  2006/11/23 23:26:37  sparky
- use %build_kernel_modules, %install_kernel_modules
- better tools building

Revision 1.85  2006/11/23 19:28:10  adamg
- BuildRequires: rpmbuild(macros) >= 1.308 (alt_kernel support)

Revision 1.84  2006/11/23 10:27:34  hawk
- alt_kernel support
- release 3

Revision 1.83  2006/11/20 21:52:16  hawk
- release 2

Revision 1.82  2006/10/29 00:43:06  zbyniu
- up to 0.7.22

Revision 1.81  2006/10/14 00:22:49  zbyniu
- nodevfs patch for kernel >= 2.6.18

Revision 1.80  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.79  2006/08/29 22:32:55  adamg
- updated to 0.7.21

Revision 1.78  2006/07/28 07:25:13  zbyniu
- up to 0.7.20

Revision 1.77  2006/07/02 15:30:19  hawk
- release 2

Revision 1.76  2006/06/26 18:46:52  adamg
- %files fixed

Revision 1.75  2006/06/26 18:43:01  adamg
- install proper script to ha.d/resources

Revision 1.74  2006/06/25 23:14:39  adamg
- updated to 0.7.19

Revision 1.73  2006/04/28 13:55:29  zbyniu
- up to 0.7.18

Revision 1.72  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.71  2006/03/17 22:05:45  glen
- unify (for scripting)

Revision 1.70  2006/03/17 22:03:30  glen
- rel 2@2.6.14.7_4.2

Revision 1.69  2006/03/17 15:02:01  zbyniu
- up to 0.7.17

Revision 1.68  2006/03/11 12:24:20  arekm
- rel 5

Revision 1.67  2006/02/27 23:00:10  glen
- use %service

Revision 1.66  2006/02/11 13:38:48  arekm
- rel 4 (new build way)

Revision 1.65  2006/01/26 09:47:33  arekm
- rel 3

Revision 1.64  2006/01/12 17:47:10  arekm
- rel 2

Revision 1.63  2005/12/21 20:20:10  zbyniu
- up to 0.7.15

Revision 1.62  2005/11/27 19:29:06  arekm
- rel 5; sparc64 on separate builder

Revision 1.61  2005/11/13 02:15:15  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.60  2005/11/12 10:58:42  arekm
- rel 4; package as *.sparc.rpm

Revision 1.59  2005/11/12 00:48:35  arekm
- rel 3; should build fine even of ppc (seems that 2.4.14 contains parts of
  ppc32+ppc64 merge -> asm dir is splitted on ppc)

Revision 1.58  2005/11/12 00:04:06  arekm
- fix cross-build

Revision 1.57  2005/11/11 23:50:50  arekm
- rel 2; sparc->sparc64 support

Revision 1.56  2005/11/02 11:54:59  zbyniu
- up to 0.7.14

Revision 1.55  2005/10/01 22:36:13  zbyniu
- C: drbdsetup24

Revision 1.54  2005/09/25 01:33:36  zbyniu
- up to 0.7.13

Revision 1.53  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.52  2005/08/29 16:44:01  zbyniu
- up to 0.7.12

Revision 1.51  2005/06/13 14:57:58  zbyniu
- up to 0.7.11

Revision 1.50  2005/05/22 22:43:56  zbyniu
- BR: kernel-source -> kernel-module-build
- progs from _sbindir to /sbin

Revision 1.49  2005/05/18 21:57:34  zbyniu
- up to 0.7.10; BR: bison, flex, kernel-headers -> source

Revision 1.48  2004/12/09 11:30:01  paladine
- spaces->tabs
- cosmetics

Revision 1.47  2004/10/04 17:35:38  arekm
- updated to 0.7.5

Revision 1.46  2004/09/10 15:00:55  arekm
- updated to 0.7.4

Revision 1.45  2004/08/03 23:19:18  arekm
- reworked for 2.6
- updated to 0.7.1

Revision 1.44  2004/02/01 23:59:24  eothane
- bcond, cosmetics

Revision 1.43  2004/01/06 23:33:13  arekm
- started update (nfy)

Revision 1.42  2003/11/16 17:43:26  krzak
- fixed _kernel24 definition

Revision 1.41  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.40  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.39  2003/07/10 12:56:43  trojan
- added using depmod macro

Revision 1.38  2003/06/24 15:54:14  arekm
- updated to 0.6.4

Revision 1.37  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.36  2003/05/25 05:46:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/16 08:33:42  trojan
- fixed depmod in %post and %postun when build with _without_dist_kernel

Revision 1.34  2003/05/14 14:42:43  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.33  2002/11/17 20:14:41  kloczek
- release 14: rebuild against kernel 2.2.22-6.

Revision 1.32  2002/11/02 11:29:55  ankry
- rel. 13 (rebuild against kernel 2.2.22-4)

Revision 1.31  2002/10/12 12:54:58  marcus
- rel.12 (for kernel 2.2.22-3)

Revision 1.30  2002/10/02 17:30:53  marcus
- rel.11
- use new %5doc
- fixed %files

Revision 1.29  2002/10/02 00:12:31  kloczek
- release 10: rebuild against kernel 2.2.22.

Revision 1.28  2002/09/15 19:34:11  kloczek
- release 9: rebuild against kernel 2.2.21-7.

Revision 1.27  2002/09/06 15:31:57  misiek
- use proper compiler

Revision 1.26  2002/08/18 17:30:06  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.25  2002/04/25 16:13:41  arturs
- fixed a small typo

Revision 1.24  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.23  2002/03/13 16:33:56  mkochano
- Typos.

Revision 1.22  2002/03/04 22:48:04  marcus
- use new ver-rel macros
- rel.6.

Revision 1.21  2002/02/26 15:30:12  qboosh
- use requires_releq_kernel_{up,smp} macros, release 5

Revision 1.20  2002/02/23 21:28:05  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 4, STBR

Revision 1.19  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/11 01:53:32  kloczek
- adapterized.

Revision 1.16  2002/02/10 18:59:09  marcus
- some fixes, rel 3. (for build with 2.2.20-10 and new 2.4)

Revision 1.15  2002/01/28 03:44:01  kloczek
- release 2.

Revision 1.14  2002/01/26 21:51:04  hunter
- s/misc/block/ after %if %{_kernel24}

Revision 1.13  2002/01/18 02:12:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/16 00:53:09  kloczek
- added conditionaly (depending on %_without_dist_kernel)
  BuildRequirss: kernel-headers >= 2.2.20.

Revision 1.11  2001/12/16 00:15:17  marcus
- updated to 0.5.8.1
- smp subpackage builds with 2.2 too!

Revision 1.10  2001/11/14 08:37:15  filon
- added _without_dist_kernel option
- use _kernel_ver_str in release

Revision 1.9  2001/09/17 11:58:49  qboosh
- removed English "es" translations

Revision 1.8  2001/09/14 20:52:09  saq
- removed Conflicts: kernel != kernel_ver from main package (unneeded)
- reordered the descriptions
- drbdsetup doesn't require drbd (unavailable)
- drbdsetup prereq: chkconfig (should it prereq rc-scripts?)
- the modules conflict kernel-{smp,up}
- %if 0 changed to %if %{_kernel24} (SMP builds under 2.4)
- -D__KERNEL_SMP=1 to SMP build options

Revision 1.7  2001/09/09 21:52:19  kloczek
- use %{_kernel_ver} only in Release field in with kernel modules packages,
- added "Requires: drbdsetup" for kernel modules packages.

Revision 1.6  2001/09/09 13:59:05  saq
- typo (LF missing)

Revision 1.5  2001/09/08 19:03:34  kloczek
- standarized %post/%preun,
- Prereq: rc-scripts .. not chkconfig,
- merge some translations from drnd-utils.spec from CNV.

Revision 1.4  2001/09/08 17:05:16  kloczek
- added suport for building both up and smp modules in separated packages
  (build smp subpackage is ifdefed because seems building drbd with for SMP
  is broken),
- move kernel module to kernel-{,smp}-block-drbd subpackages.

Revision 1.3  2001/09/08 08:17:21  qboosh
- fixed URL, added Source0 URL
- proper summaries/descriptions (this is really not heartbeat package...)
- added using standard kernel module build procedure
- separated userland tools into drbdsetup subpackage
- kernel 2.4 compatibility patch (not tested)

Revision 1.2  2001/07/04 04:38:12  kloczek
- adapterized and partialy rewrited byt still NYF.
